Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class TextMediaType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.TextMediaType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class TextMediaType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Text Media Type', and utility methods for working with them. abstDomain: V14825 (C-0-D14824-V14825-cpt)

See Also:
  `CDAR2Package.getTextMediaType()`

Field Summary
`static int` | `TEXT_HTML` The 'Text Html' literal value.
`static TextMediaType` | `TEXT_HTML_LITERAL` The 'Text Html' literal object.
`static int` | `TEXT_PLAIN` The 'Text Plain' literal value.
`static TextMediaType` | `TEXT_PLAIN_LITERAL` The 'Text Plain' literal object.
`static int` | `TEXT_RTF` The 'Text Rtf' literal value.
`static TextMediaType` | `TEXT_RTF_LITERAL` The 'Text Rtf' literal object.
`static int` | `TEXT_SGML` The 'Text Sgml' literal value.
`static TextMediaType` | `TEXT_SGML_LITERAL` The 'Text Sgml' literal object.
`static int` | `TEXT_XHL7_FT` The 'Text XHl7 Ft' literal value.
`static TextMediaType` | `TEXT_XHL7_FT_LITERAL` The 'Text XHl7 Ft' literal object.
`static int` | `TEXT_XML` The 'Text Xml' literal value.
`static TextMediaType` | `TEXT_XML_LITERAL` The 'Text Xml' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Text Media Type' enumerators.

Method Summary
`static TextMediaType` | `get(int value)` Returns the 'Text Media Type' literal with the specified integer value.
`static TextMediaType` | `get(java.lang.String literal)` Returns the 'Text Media Type' literal with the specified literal value.
`static TextMediaType` | `getByName(java.lang.String name)` Returns the 'Text Media Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_HTML

    public static final int TEXT_HTML

  The 'Text Html' literal value.

  If the meaning of 'Text Html' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEXT_HTML_LITERAL`, Constant Field Values

### TEXT_PLAIN

    public static final int TEXT_PLAIN

  The 'Text Plain' literal value.

  If the meaning of 'Text Plain' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEXT_PLAIN_LITERAL`, Constant Field Values

### TEXT_RTF

    public static final int TEXT_RTF

  The 'Text Rtf' literal value.

  If the meaning of 'Text Rtf' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEXT_RTF_LITERAL`, Constant Field Values

### TEXT_SGML

    public static final int TEXT_SGML

  The 'Text Sgml' literal value.

  If the meaning of 'Text Sgml' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEXT_SGML_LITERAL`, Constant Field Values

### TEXT_XHL7_FT

    public static final int TEXT_XHL7_FT

  The 'Text XHl7 Ft' literal value.

  If the meaning of 'Text XHl7 Ft' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEXT_XHL7_FT_LITERAL`, Constant Field Values

### TEXT_XML

    public static final int TEXT_XML

  The 'Text Xml' literal value.

  If the meaning of 'Text Xml' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEXT_XML_LITERAL`, Constant Field Values

### TEXT_HTML_LITERAL

    public static final TextMediaType TEXT_HTML_LITERAL

  The 'Text Html' literal object.

  See Also:
    `TEXT_HTML`

### TEXT_PLAIN_LITERAL

    public static final TextMediaType TEXT_PLAIN_LITERAL

  The 'Text Plain' literal object.

  See Also:
    `TEXT_PLAIN`

### TEXT_RTF_LITERAL

    public static final TextMediaType TEXT_RTF_LITERAL

  The 'Text Rtf' literal object.

  See Also:
    `TEXT_RTF`

### TEXT_SGML_LITERAL

    public static final TextMediaType TEXT_SGML_LITERAL

  The 'Text Sgml' literal object.

  See Also:
    `TEXT_SGML`

### TEXT_XHL7_FT_LITERAL

    public static final TextMediaType TEXT_XHL7_FT_LITERAL

  The 'Text XHl7 Ft' literal object.

  See Also:
    `TEXT_XHL7_FT`

### TEXT_XML_LITERAL

    public static final TextMediaType TEXT_XML_LITERAL

  The 'Text Xml' literal object.

  See Also:
    `TEXT_XML`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Text Media Type' enumerators.

Method Detail

### get

    public static TextMediaType get(java.lang.String literal)

  Returns the 'Text Media Type' literal with the specified literal value.

### getByName

    public static TextMediaType getByName(java.lang.String name)

  Returns the 'Text Media Type' literal with the specified name.

### get

    public static TextMediaType get(int value)

  Returns the 'Text Media Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD